import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const provinceAllocatedDeleteService = createAsyncThunk(
  "PROVINCE_ALLOCATED_DELETE_SERVICE",
  async (d, { dispatch }) => {
    try {
      dispatch(LOADING_START());
      const { data, status } = await axios.delete(
        "province_kill_request/0/?delete_allocation",
        {
          params: {
            province_kill_request_key: d.province_kill_request_key,
            message: "به دلیل انقضای کد سفارش",
            role: getRoleFromUrl(),
          },
        }
      );
      dispatch(LOADING_END());
      return { data, status };
    } catch (e) {
      dispatch(LOADING_END());
      return { error: e.response.data.result };
    }
  }
);
